summaryrefslogtreecommitdiffstats
path: root/openwrt/target/linux/package/base-files/files/brcm-2.6/etc
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-04-05 02:09:22 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-04-05 02:09:22 +0000
commit93701b2bec2b99d8113d8a6d9b97153e87a7e5aa (patch)
tree2a8ba6aa03cd4a2eaaa417fd47c30ebc71e73e5f /openwrt/target/linux/package/base-files/files/brcm-2.6/etc
parent9ce1fe9aaa459cf48fcb1e89537cbe0456d7dfac (diff)
large init script cleanup and merge of whiterussian changes, new dnsmasq config handling
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@3588 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/target/linux/package/base-files/files/brcm-2.6/etc')
-rwxr-xr-xopenwrt/target/linux/package/base-files/files/brcm-2.6/etc/init.d/S05netconfig4
-rw-r--r--openwrt/target/linux/package/base-files/files/brcm-2.6/etc/network.overrides31
2 files changed, 3 insertions, 32 deletions
diff --git a/openwrt/target/linux/package/base-files/files/brcm-2.6/etc/init.d/S05netconfig b/openwrt/target/linux/package/base-files/files/brcm-2.6/etc/init.d/S05netconfig
index 51be73b5b..6a626f54a 100755
--- a/openwrt/target/linux/package/base-files/files/brcm-2.6/etc/init.d/S05netconfig
+++ b/openwrt/target/linux/package/base-files/files/brcm-2.6/etc/init.d/S05netconfig
@@ -50,7 +50,7 @@ END {
c["vlan1ports"] = "4 5"
c["lan_ifnames"] = "vlan0 ath0"
}
- if (nvram["boardtype"] == "0x0467") {
+ if ((nvram["boardtype"] == "0x0467") || (nvram["boardtype"] == "0x042f")) {
c["vlan0ports"] = "0 1 2 3 5*"
c["vlan1ports"] = "4 5"
}
@@ -101,6 +101,8 @@ END {
print ""
print "## PPP over Ethernet and PPTP"
print "# wan_ifname=\"ppp0\""
+ print "# ppp_username=\"my_username\""
+ print "# ppp_passwd=\"my_password\""
print "# pptp_server_ip=\"192.168.0.1\""
}
' > /etc/config/network
diff --git a/openwrt/target/linux/package/base-files/files/brcm-2.6/etc/network.overrides b/openwrt/target/linux/package/base-files/files/brcm-2.6/etc/network.overrides
deleted file mode 100644
index ded748b26..000000000
--- a/openwrt/target/linux/package/base-files/files/brcm-2.6/etc/network.overrides
+++ /dev/null
@@ -1,31 +0,0 @@
-# NVRAM overrides
-#
-# This file handles the NVRAM quirks of various hardware.
-# THIS FILE IS NOT A REPLACEMENT FOR NVRAM
-
-# Load sysconf defaults
-[ -f /etc/sysconf ] && . /etc/sysconf
-
-DEFAULT_lan_proto="static"
-DEFAULT_lan_ifname="br0"
-DEFAULT_lan_ifnames="vlan0 ath0"
-DEFAULT_lan_ipaddr=${BR2_SYSCONF_FAILSAFE_IP:-"192.168.1.1"}
-DEFAULT_lan_netmask=${BR2_SYSCONF_FAILSAFE_NETMASK:-"255.255.255.0"}
-DEFAULT_lan_hwaddr=${DEFAULT_lan_hwaddr:-${BR2_SYSCONF_FAILSAFE_MAC:-"00:0B:AD:0A:DD:00"}}
-DEFAULT_vlan0hwname="et0"
-DEFAULT_vlan1hwname="et0"
-DEFAULT_et0macaddr=$(ifconfig eth0| awk '/eth0/ {print $5 }')
-DEFAULT_wan_proto="dhcp"
-DEFAULT_wan_ifname="vlan1"
-
-# failsafe if reset is held
-[ "$FAILSAFE" = "true" ] && {
- echo "### YOU ARE IN FAILSAFE MODE ####"
- lan_ifname=${DEFAULT_lan_proto}
- lan_ifnames=${FAILSAFE_ifnames:-${DEFAULT_lan_ifnames}}
- lan_ipaddr=$DEFAULT_lan_ipaddr
- lan_netmask=$DEFAULT_lan_netmask
- lan_hwaddr=$DEFAULT_lan_hwaddr
- wan_ifname="none"
- wifi_ifname="none"
-}